> For the complete documentation index, see [llms.txt](https://developer.convergegate.com/legacy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.convergegate.com/legacy/card-server-to-server/api-commands/709-check-transaction-status.md).

# 709 – Check transaction status

| NODE            | INCLUDE IN CHECKSUM (IN THIS ORDER) | REQUIRED | DATA TYPE          | DESCRIPTION                                                                                                                                                                                                                                               |
| --------------- | ----------------------------------- | -------- | ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiUser         | YES (1)                             | YES      | Character max 50.  | The API user assigned by the Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                      |
| apiPassword     | YES (2)                             | YES      | Character max 50.  | The API password assigned by Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                      |
| apiCmd          | YES (3)                             | YES      | 709                | 3 digit numeric transaction code must be 709                                                                                                                                                                                                              |
| merchanttransid | YES (4)                             | COND     | Character max 50.  | Unique merchant transaction id received in the request 700. Required if gatetransid not provided. Otherwise ignored.                                                                                                                                      |
| gatetransid     | Yes (4)                             | COND     | Character max 50.  | Unique gateway internal transaction id refers to charge transaction for which the status check has been requested. Required if merchanttransid not provided.                                                                                              |
| notify          |                                     | NO       | Character max 3    | YES: command will also trigger Notification 850 Other value: ignored.                                                                                                                                                                                     |
| checksum        |                                     | YES      | Character no limit | SHA-1 calculated using the fields specified by the transaction plus the API key assigned by gateway to the merchant. This field must be calculated using the fields marked as “Include in checksum” (in the order indicated) plus the API key at the end. |

## 709 Response Data description

To modify the transaction status on your end, utilize the 'state' field value to correspond with the transaction status. Any additional information, such as the status code, can be included as extra data.

| NODE                           | REQUIRED | DATA TYPE                 | DESCRIPTION                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------------ | -------- | ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| result                         | YES      | Character                 | Result indicates the result of the transaction. SUCCESS: Transaction was found and current state is returned. NOTFOUND: Transaction was not found. ERROR: Transaction state change failed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| transaction                    | YES      | Xml Node                  | Section containing authorization type                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| transaction->gatetransid       | Cond     | Character                 | Gateway transaction ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| transaction->merchanttransid   | Cond     | Character                 | Merchant transaction ID provided during execution of 700 command                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| transaction->amount            | Cond     | Number with decimal point | Full amount to charge in currency specified.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| transaction->curcode           | Cond     | Character 3               | Transaction currency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| transaction->state             | Cond     | Character                 | Current status of the transaction. AUTHORIZED: Funds from Customers Credit Card account have been “reserved” but not charged to the account. CAPTURED: Customer’s Credit Card account has been charged with the amount of the transaction. DECLINED: transaction was declined. PENDING: Transaction is in pending state CANCELED: authorization of the transaction was canceled ERROR: An error occurred during transaction processing REVERSED: Transaction was reversed REFUNDED: Transaction was refunded REFUND PENDING: Refund is waiting for staff confirmation CHARGEBACK: means that a charge back for the transaction was received by the gateway. |
| transaction->merchantspecific1 | Cond     | Character max 200         | Merchant specific data for merchant use only, provided during 700 command.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| transaction->merchantspecific2 | Cond     | Character max 200         | Merchant specific data for merchant use only, provided during 700 command.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| transaction->merchantspecific3 | Cond     | Character max 200         | Merchant specific data for merchant use only, provided during 700 command.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| transaction->merchantspecific4 | Cond     | Character max 200         | Merchant specific data for merchant use only, provided during 700 command.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| transaction->merchantspecific5 | Cond     | Character max 200         | Merchant specific data for merchant use only, provided during 700 command.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| errorcode                      | NO       | Character 3               | Error Code of the transaction or 000 if no error condition found.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| errormessage                   | NO       | Character max 100         | Full description of the error.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

{% tabs %}
{% tab title="CURL" %}
**709 Request Sample**

The query can utilize either `merchanttransid` or `gatetransid` to identify the transaction, but only one is required. Consequently, the checksum calculation will only include one of these fields based on which is used in the request.

```
  <?xmlversion="1.0" encoding="utf-8" ?>
	<transaction>
		<apiUser> </apiUser>
		<apiPassword> </apiPassword>
		<apiCmd> </apiCmd>
		<merchanttransid> </merchanttransid>
		<notify> </notify>
		<checksum> </checksum>		
	</transaction> 
							  
```

**709 Response**

The response to a 709 – Check transaction status is a plain xml un-encoded that contains the following data:

```

	<?xmlversion="1.0" encoding="utf-8" ?>
	<transaction>
		<result> </result>
	<transaction>
		<gatetransid> </gatetransid>
		<merchanttransid> </merchanttransid>
		<amount> </amount>
		<curcode> </curcode>
		<state> </state>
		<merchantspecific1> </merchantspecific1>
		<merchantspecific2> </merchantspecific2>
		<merchantspecific3> </merchantspecific3>
		<merchantspecific4> </merchantspecific4>
		<merchantspecific5> </merchantspecific5>
	</description> </description>
		<errorcode> </errorcode>
		<errormessage> </errormessage>
	</transaction> 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.convergegate.com/legacy/card-server-to-server/api-commands/709-check-transaction-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
